Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.dialer
Class DialerActionState

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.dialer.DialerActionState

    public class DialerActionState

extends Object

Represents the information needed to scheduled a dialer action event.

Constructor Summary
`DialerActionState(Contact contact, boolean success, double dialEndTime)` Constructs a new dialer action event state object for a contact `contact`.
`DialerActionState(DialerActionEvent ev)` Constructs a new dialer action state object from the dialer action event `ev`.

Method Summary
`Contact` | `getContact()` Returns the contact being dialed.
`double` | `getDialEndTime()` Returns the time at which success or failure will occur.
`boolean` | `isSuccessful()` Returns the success indicator of the dial.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DialerActionState

    public DialerActionState(Contact contact,
                             boolean success,
                             double dialEndTime)

  Constructs a new dialer action event state object for a contact `contact`. The `success` flag gives the success indicator when the dial-up is finished at simulation time `dialEndTime`.

  Parameters:
    `contact` - the contact being dialed.
    `success` - the success indicator.
    `dialEndTime` - the simulation time of success or failure.

### DialerActionState

    public DialerActionState(DialerActionEvent ev)

  Constructs a new dialer action state object from the dialer action event `ev`.

  Parameters:
    `ev` - the dialer action event to extract information from.

Method Detail

### getContact

    public Contact getContact()

  Returns the contact being dialed.

  Returns:
    the contact being dialed.

### isSuccessful

    public boolean isSuccessful()

  Returns the success indicator of the dial.

  Returns:
    the success indicator of the dial.

### getDialEndTime

    public double getDialEndTime()

  Returns the time at which success or failure will occur.

  Returns:
    the success or failure time.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.